<template>
  <div class="PageLayout">
    <div
      v-if="isSlotFilled('header')"
      class="PageLayout-header"
    >
      <slot name="header" />
    </div>

    <div class="PageLayout-contentPrimary">
      <slot name="content-primary" />
    </div>
  </div>
</template>

<script>
export default {
  name: 'PageLayout',

  methods: {
    isSlotFilled (slotName) {
      return this.$slots[ slotName ] !== undefined
    }
  }
}
</script>

<style scoped>
.PageLayout {
  display: grid;
  grid-template-columns: 100%;
  grid-template-rows: auto;
  grid-gap: 50px;
}
</style>
